# Cltest

## 安装

提供两种安装方法：

### 1. 用 cpanm 安装
克隆本代码仓库
```
git clone ...
```
切换到源码目录，执行
```
cpanm .
```

### 2. 用 apt-get 安装

注意需要可以访问：http://pools.corp.deepin.com

在 `/etc/apt/sources.list` 添加测试 ppa

```
deb http://pools.corp.deepin.com/ittools unstable main
```
执行命令
```
sudo apt-get update
sudo apt-get install libapp-cltest-perl
```

之后就安装成功了，可以使用脚本 `cltest.pl`

## 使用

### 命令行选项

cltest.pl 的选项有很多：

- --help 查看帮助

- --num NUM

    安装对应的 CL 的构建deb包，之前安装的其它 CL 的deb包会被恢复。本选项可使用多次，表示一次安装多个。

- --add NUM

    以追加的方式安装对应的 CL 的构建deb包，之前安装的其它 CL 的deb包不会恢复。本选项可使用多次，表示一次安装多个。

- --restore

    将之前安装的 CL 的deb包恢复

- --again

    重新安装一下CL的构建deb包，比如 CL 提交了新的代码，生成了新的构建deb包，用此选项可以方便的更新。

- --history

    可以显示出最近十次历史记录

- --status

    列出安装了哪些deb，安装了哪些CL

### 实例

安装 https://cr.deepin.io/12058 的构建结果

```
cltest.pl --num 12058
```

目前的测试条件不满足，需要再追加一个CL
```
cltest.pl --add 12056
```


更新正在测试的 cl 的deb包

```
cltest.pl --again
```

恢复之前的状态
```
cltest.pl --restore
```

## 原理

TODO
